/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */

#include "MT9T001_config.h"

/********************************************
 Function Prototypes
********************************************/
// EDC Required Functions
static EDC_Handle MT9T001_open(String devName, Arg optArg);
static Int MT9T001_close(EDC_Handle handle);
static int MT9T001_ctrl(EDC_Handle handle, unsigned int cmd, Arg arg);

// Commands
static Bool MT9T001_Config(EDC_Handle handle, MT9T001_Params *params);
void MT9T001_Reset_Dev(EDC_Handle devHandle);
void MT9T001_PowerDown(EDC_Handle devHandle);
int MT9T001_Begin_Capture(EDC_Handle handle);
int MT9T001_Read_All_Registers(EDC_Handle devHandle);

// I2C Write Routine
Bool MT9T001_Write_Verify(I2C_Handle hI2C, Uint8 devAddress, Uint32 subAddress, Uint8 *data, Uint16 numBytes);

// Capture Register Initialization
static int MT9T001_Common_Config_Settings(EDC_Handle devHandle);

// I2C Address Multiplexing
int MT9T001_PCA9540_Address_Multiplex(EDC_Handle handle);

