/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *  
 */

#include <vport.h>
#include <vportcap.h>
#include <saa7115.h> 
#include <csl_edma.h>
#include "evmdm642_vcapparams.h"
#include "MT9T001_config.h"

/****************************************************************/
#ifdef MODE_8BIT
	#define VPORT_CMODE		VPORT_MODE_RAW_8BIT   /* cmode:3  */
#endif
#ifdef MODE_10BIT
	#define VPORT_CMODE		VPORT_MODE_RAW_10BIT   /* cmode:3  */
#endif
#ifdef MODE_16BIT
	#define VPORT_CMODE		VPORT_MODE_RAW_16BIT   /* cmode:3  */
#endif
#ifdef MODE_20BIT
	#define VPORT_CMODE		VPORT_MODE_RAW_20BIT   /* cmode:3  */
#endif
/******************************************************************/


VPORTCAP_Params EVMDM642_vCapParamsChan = {

	VPORT_CMODE,		 			/* cmode:3  */
	VPORT_FLDOP_PROGRESSIVE,     	/* fldOp:3  */   

    VPORT_SCALING_DISABLE, /* scale:1  */   // n/a for raw
    VPORT_RESMPL_DISABLE,  /* resmpl:1 */	// n/a for raw
    VPORTCAP_BPK_10BIT_ZERO_EXTENDED, /*bpk10Bit:2   */

    VPORTCAP_HRST_SAV,     /*hCtRst:1  */	// n/a for raw
    VPORTCAP_VRST_EAV_V0,  /*vCtRst:1  */	// n/a for raw
    VPORTCAP_FLDD_DISABLE, /*fldDect:1 */	// n/a for raw
    VPORTCAP_EXC_DISABLE,  /*extCtl:1  */   // n/a for raw
    VPORTCAP_FINV_ENABLE,  /* fldInv:1 */	// n/a for raw
    
    /* Raw Mode Specific Parameters */
    VPORTCAP_SSE_ENABLE,	/*sse*/			// Enable Startup Sync
    0x7FF,					/*vcvblnkp*/	
    
    0,	                  	/*fldXStrt1 */	// Must set to zero for correct operation 
    1,                     	/*fldYStrt1 */  // Must set to one for correct operation 
    0,                  	/*fldXStrt2 */  // Must equal fldXStrt1 for correct operation
    1, 		              	/*fldYStrt2 */	// Must equal fldYStrt2 for correct operation
    
    NULL,  				// fill later /*fldXStop1 */ // must subtract 1 for correct operation 
    NULL,  				// fill later /*fldYStop1 */ // These two parameters are used to set Field 1 stop register
    
    NULL,  				// fill later /*fldXStop2 */	// Must equal fldXStop1 for correct operation
    NULL,  				// fill later /*fldYStop2 */	// Must equal fldYStop1 for correct operation
    
    NULL,    			// fill later
    
    3,                     /*numFrmBufs*/
    128,                   /*alignment */
    VPORT_FLDS_MERGED,  	/*mergeFlds */	
    NULL,                  /*segId     */            
    EDMA_OPT_PRI_HIGH,     /*edmaPri   */
    8                      /* irqId    */
};




VPORT_PortParams EVMDM642_vCapParamsPort = {
    FALSE,                      /*  enableDualChan;                */ 
    VPORT_POLARITY_ACTIVE_HIGH, /* vport control pin 1 polarity    */
    VPORT_POLARITY_ACTIVE_HIGH, /* vport control pin 2 polarity    */
    VPORT_POLARITY_ACTIVE_HIGH, /* vport control pin 3 polarity    */
    &MT9T001_Fxns,
    INV,
};    






